Package org.eclipse.net4j.db.postgresql

# Class PostgreSQLAdapter

java.lang.Object
org.eclipse.net4j.spi.db.DBAdapter
org.eclipse.net4j.db.postgresql.PostgreSQLAdapter

All Implemented Interfaces:
  `IDBAdapter`

public class PostgreSQLAdapter extends DBAdapter
A `DB adapter` for PostgreSQL databases.

Author:
  Victor Roldan Betancort

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.spi.db.DBAdapter

`DBAdapter.FieldInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
`static final String`
`VERSION`

### Fields inherited from interface org.eclipse.net4j.db.IDBAdapter

`REGISTRY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`PostgreSQLAdapter()`
`protected`
`PostgreSQLAdapter(String name, String version)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCreateTable(IDBTable table, Statement statement)`
`int`
`getMaxFieldNameLength()`
`int`
`getMaxTableNameLength()`
`String[]`
`getReservedWords()`
`protected String`
`getTypeName(IDBField field)`
`boolean`
`isCaseSensitive()`
`boolean`
`isColumnNotFoundException(SQLException ex)`
See Appendix A.
`boolean`
`isDuplicateKeyException(SQLException ex)`
See Appendix A.
`boolean`
`isTableNotFoundException(SQLException ex)`
See Appendix A.

### Methods inherited from class org.eclipse.net4j.spi.db.DBAdapter

`adaptType, addIndex, addIndexField, alterTable, appendFieldDefs, appendFieldNames, convertString, convertString, convertString, convertToSQL, createConnectionProvider, createConstraints, createField, createFieldDefinition, createFieldDefinitions, createIndex, createIndex, createIndex, createIndexFields, createJDBCDataSource, createPrimaryKey, createSchema, createTable, createTable, createTables, dropField, dropIndex, dropIndex, dropPrimaryKey, dropTable, dropTable, dropTables, format, format, generateReservedWords, getDefaultDBLength, getDefaultSchemaName, getDropTableSQL, getFieldLength, getJDBCDriver, getName, getNullableConstraint, getSQL92ReservedWords, getVersion, isPrimaryKeyShadow, isReservedWord, isTypeIndexable, isValidFirstChar, modifyConnection, openSchemaTransaction, readFields, readIndices, readIndices, readSchema, readSchema, readTables, sqlModifyField, sqlModifyField, sqlRenameField, toString, updateSchema, validateTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### VERSION

public static final String VERSION

See Also:
  - Constant Field Values

## Constructor Details

### PostgreSQLAdapter

public PostgreSQLAdapter()

### PostgreSQLAdapter

protected PostgreSQLAdapter(String name, String version)

Since:
  4.4

## Method Details

### isCaseSensitive

public boolean isCaseSensitive()

Specified by:
  `isCaseSensitive` in interface `IDBAdapter`
Overrides:
  `isCaseSensitive` in class `DBAdapter`

### getMaxTableNameLength

public int getMaxTableNameLength()

Specified by:
  `getMaxTableNameLength` in interface `IDBAdapter`
Overrides:
  `getMaxTableNameLength` in class `DBAdapter`
Since:
  2.0

### getMaxFieldNameLength

public int getMaxFieldNameLength()

Specified by:
  `getMaxFieldNameLength` in interface `IDBAdapter`
Overrides:
  `getMaxFieldNameLength` in class `DBAdapter`
Since:
  2.0

### getTypeName

protected String getTypeName(IDBField field)

Overrides:
  `getTypeName` in class `DBAdapter`

### getReservedWords

public String[] getReservedWords()

### isDuplicateKeyException

public boolean isDuplicateKeyException(SQLException ex)
See Appendix A. PostgreSQL Error Codes.

Specified by:
  `isDuplicateKeyException` in interface `IDBAdapter`
Overrides:
  `isDuplicateKeyException` in class `DBAdapter`

### isTableNotFoundException

public boolean isTableNotFoundException(SQLException ex)
See Appendix A. PostgreSQL Error Codes.

Specified by:
  `isTableNotFoundException` in interface `IDBAdapter`
Overrides:
  `isTableNotFoundException` in class `DBAdapter`

### isColumnNotFoundException

public boolean isColumnNotFoundException(SQLException ex)
See Appendix A. PostgreSQL Error Codes.

Specified by:
  `isColumnNotFoundException` in interface `IDBAdapter`
Overrides:
  `isColumnNotFoundException` in class `DBAdapter`

### doCreateTable

protected void doCreateTable(IDBTable table, Statement statement) throws SQLException

Overrides:
  `doCreateTable` in class `DBAdapter`
Throws:
  `SQLException`
Since:
  4.1